/* Obtem operadores PostScript em um arquivo gerado por abcm2ps */
/* Hudson Lacerda (28/12/2004)(03/01/2004) */

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include <stdio.h>
#include <string.h>

#define STRING_BEGIN "\%\%BeginSetup"
#define STRING_END "\%\%EndSetup"
#define STRING_CREATOR "\%\%Creator: "
#define OFFSET_STR 11 /* deslocamento para "abcm2ps-x.x.x" */

int main(int argc, char *argv[])
{
	int copiar = 0;
	char linha[BUFSIZ], *p;

	while(fgets(linha,BUFSIZ,stdin)!=NULL) { /*le linhas da entrada*/
		if((p=strstr(linha,STRING_CREATOR))!=NULL) {
			//printf("<h1>%s</h1>\n",p+OFFSET_STR); /*imprime versao de abcm2ps*/
			printf("%s\n",p+OFFSET_STR); /*imprime versao de abcm2ps*/
		}
		if(strstr(linha,STRING_END))
			copiar=0;
		if(copiar)
			printf(linha); /*copia linhas de codigo PostScript*/
		if(strstr(linha,STRING_BEGIN))
			copiar=1;
	}

	return 0;
}
